%define name gscmxx
%define version 0.4.1
%define release alt3

Name: %name
Summary: Graphical frontend for Siemens mobile phones
Version: %version
Release: %release
License: GPL
Group: Communications
Patch0: gscmxx-0.4.1-style.patch
Patch1: gscmxx-0.4.1-iconv.patch
Patch2: gscmxx-0.4.1-langres.patch
Patch3: gscmxx-0.4.1-064.patch
Patch4: gscmxx-0.4.1-sortsms.patch
Patch5: gscmxx-0.4.1-all-sms.patch
Patch6: gscmxx-0.4.1-unicode.patch
Url: http://gscmxx.sourceforge.net/
Source0: %name-%version.tar.bz2
Source1: gscmxx-russian

BuildArch: noarch

BuildRequires: ImageMagick perl-GTK perl-Image-Size perl-devel scmxx
Requires: scmxx ImageMagick perl-GTK perl-Image-Size

Prefix: %_prefix

%description
gscmxx is graphical frontend for Siemens mobile phones. It allows you to edit
your contacts book, send/read SMS's from/in computer and more other features.

%prep
%setup -q
cp -af %SOURCE1 share/i18n/russian
%patch0 -p1 -b .style
%patch1 -p1 -b .iconv
%patch2 -p1 -b .langres
%patch3 -p1 -b .064
%patch4 -p1 -b .sortsms
%patch5 -p1 -b .all-sms
%patch6 -p1 -b .unicode

%build
%__perl Makefile.PL INSTALLDIRS=vendor PREFIX=%prefix
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%prefix
%make test

%install
%makeinstall PREFIX="$RPM_BUILD_ROOT/%prefix"

# Menu entry
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
 section="Applications/Communications" \
 title="Gscmxx" \
 longtitle="Frontend for your Siemens mobile phone" \
 command="%_bindir/%name" \
 icon="%name.png"
EOF

install -d %buildroot/%_miconsdir
install -d %buildroot/%_iconsdir
install -d %buildroot/%_liconsdir
convert -resize 16x16 pixmaps/phonebook.xpm %buildroot/%_miconsdir/%name.png
convert -resize 32x32 pixmaps/phonebook.xpm %buildroot/%_iconsdir/%name.png
convert -resize 48x48 pixmaps/phonebook.xpm %buildroot/%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%doc Changes TODO README doc/GPL.txt
%_libdir/perl5/vendor_perl/SCMxx.pm
%_libdir/perl5/vendor_perl/SCMxx
%_mandir/*/*
%_datadir/pixmaps/%name
%_datadir/%name
%_bindir/%name
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Sun Jun 15 2003 Valery V. Inozemtsev <shrek@progroup.ru> 0.4.1-alt3
- add unicode patch for SMS sending
- add several patches

* Sat Jun 14 2003 Valery V. Inozemtsev <shrek@progroup.ru> 0.4.1-alt2
- add languagecharset to all resources

* Fri Jun 13 2003 Valery V. Inozemtsev <shrek@progroup.ru> 0.4.1-alt1
- Build for ALT Linux Master 2.2

* Wed Mar 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.4.0-2mdk
- rebuild

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-0.pre6.2mdk
- buildrequires against scmxx

* Sun Nov 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-0.pre6.1mdk
- from Michael Reinsch <mr@uue.org> :
	- first mandrake spec file
